<?php

class Member extends CI_Controller {

    /** Üyelik İşlemleri 1 */

    public function __construct()
    {
        parent::__construct();

        $this->load->library("form_validation");
        $this->load->model("member_model");
        $this->load->helper("cookie");
    }

    public function index(){

        $this->load->view("register_form");

    }

    public function registration(){


        $this->form_validation->set_rules("full_name","Ad Soyad","trim|required|min_length[3]");
        $this->form_validation->set_rules("email","E-posta","trim|required|valid_email|is_unique[member.email]");
        $this->form_validation->set_rules("phone","Telefon","trim|required");
        $this->form_validation->set_rules("gender","Cinsiyet","trim|required");
        $this->form_validation->set_rules("password","Şifre","trim|required|min_length[6]");
        $this->form_validation->set_rules("re_password","Şifre Doğrulama","trim|required|min_length[6]|matches[password]");


        $error_messages = array(

            "required"      => "<strong>{field}</strong> alanını doldurmak zorundasınız!!!",
            "valid_email"   => "Lütfen geçerli bir e-posta adresi giriniz!!",
            "is_unique"     => "%s alanına ait bir hesap bulunmaktadır!!",
            "matches"       => "Girmiş olduğunuz şifreler aynı değil!!"
        );


        $this->form_validation->set_message($error_messages);


        if($this->form_validation->run() == FALSE){

            $viewData["error"] = validation_errors();

            $this->load->view("register_form", $viewData);

        }else{

            // Database kayit işlemleri...

            $activation_code = md5(uniqid());

            $data = array(
                "email"             => $this->input->post("email"),
                "full_name"         => $this->input->post("full_name"),
                "gender"            => $this->input->post("gender"),
                "phone"             => $this->input->post("phone"),
                "password"          => md5($this->input->post("password")),
                "createdAt"         => date("Y-m-d H:i:s"),
                "activation_code"   => $activation_code
            );


            $insert = $this->member_model->insert($data);

            if($insert){

                // Kullanıcıya Aktivasyon işlemi için email at...

                $config = array(
                    "protocol"   => "smtp",
                    "smtp_host"  => "ssl://smtp.gmail.com",
                    "smtp_port"  => 465,
                    "smtp_pass"  => "********",
                    "smtp_user"  => "mailkedisi@gmail.com",
                    "starttls"   => true,
                    "charset"    => "utf-8",
                    "mailtype"   => "html",
                    "wordwrap"   => true,
                    "newline"    => "\r\n",
                );

                $link = base_url("member/activation/$activation_code");

                $message = "Merhabalar, {$this->input->post("full_name")}, <br> üyeliğinizin aktifleşmesi için sadece bir adım kaldı.
 Üyeliğinizi aktifleştirmek için lütfen <a href='$link'>tıklayınız</a> ";

                $this->load->library("email", $config);

                $this->email->from("mailkedisi@gmail.com", "kablosuzkedi");
                $this->email->to($this->input->post("email"));
                $this->email->subject("Üyelik Aktivasyonu");
                $this->email->message($message);

                $send = $this->email->send();

                if($send){

                    $viewData["message"] = "Kayıt işlemi başarılıdır. Kaydınızın aktif olabilmesi için size mail gönderdik. Lütfen posta kutunuza gidip. Üyeliğinizi aktifleştiriniz.";

                    $this->load->view("thanks", $viewData);

                }else{

                    $viewData["error"] = "Üyelik sırasında bir problem oluştu. Lütfen tekrar deneyiniz";
                    $this->load->view("register_form", $viewData);

                }

            }else{

                // Error Page...

                $viewData["error"] = "Üyelik sırasında bir problem oluştu. Lütfen tekrar deneyiniz";

                $this->load->view("register_form", $viewData);

            }

        }


    }

    public function activation($activation_code){

        $where = array(
            "activation_code"   => $activation_code
        );


        $row = $this->member_model->get($where);

        if($row){

            $data = array(
                "isActive"          => 1,
                "activation_code"   => ""
            );

            $update = $this->member_model->update($where, $data);

            if($update){

                $this->load->view("success");

            }else{

                $this->load->view("error");
            }


        }else{
            $this->load->view("error");
        }

        // activation_code ile kaydi bul...
            // bu kayda ait isActive => 1
            // activation_code = ""
            // başarılı.. sayfası
        //else
            // error page..

    }


    /** Üyelik İşlemleri 2 */

    public function signin_form(){


        $member = $this->session->userdata("member");

        if($member) {

            redirect(base_url("homepage"));

        }else {
            $this->load->view("signin");
        }

    }

    public function signin(){

        $member = $this->session->userdata("member");

        if($member) {

            redirect(base_url("homepage"));

        }else {

            // form validation

            $this->form_validation->set_rules("email", "E-posta", "required|trim|valid_email");
            $this->form_validation->set_rules("password", "Şifre", "required|trim|min_length[6]");

            $error_messages = array(
                "required" => "<strong>{field}</strong> alanını doldurmak zorundasınız!!!",
                "valid_email" => "Lütfen geçerli bir e-posta adresi giriniz!!",
                "min_length" => "Lütfen Şifrenizi eksiksiz olarak giriniz"
            );

            $this->form_validation->set_message($error_messages);

            if ($this->form_validation->run() == FALSE) {

                // hata mesajlarini gostererek signin sayfasini göstermek...

                $viewData["error"] = validation_errors();

                $this->load->view("signin", $viewData);

            } else {

                // db kontrolü...

                $where = array(
                    "email" => $this->input->post("email"),
                    "password" => md5($this->input->post("password"))
                );

                $member = $this->member_model->get($where);

                if ($member) {

                    // HomePage

                    // Session user => indis set..
                    $this->session->set_userdata("member", $member);

                    // Beni Hatirla...

                    if($this->input->post("remember_me") == "on"){

                        // cookie deger set et...

                        $remeber_me = array(
                                "email"     => $this->input->post("email"),
                                "password"  => $this->input->post("password")
                        );

                        // set_cookie(key, value, time);

                        set_cookie("remember_me", json_encode($remeber_me), time() + 60 * 60 * 24 * 30);


                    } else {

                        // cookie degeri sil...

                        delete_cookie("remember_me");

                    }


                    redirect(base_url("homepage"));

                } else {

                    // hata mesajlarini gostererek signin sayfasini göstermek...

                    $viewData["error"] = "Girmiş olduğunuz bilgilere ait bir kullanıcı bulunamadı!!";

                    $this->load->view("signin", $viewData);

                }


            }
        }

    }

    public function logout(){

        // Session member isimli indisi siliniz.
        // signin syfasina yonlendirme yapiniz.

        $this->session->unset_userdata("member");

        redirect(base_url("member/signin_form"));

    }

    public function forgot_password(){

        // Validation Kontrolü...

        // set_rules
        $this->form_validation->set_rules("email","E-posta","trim|required|valid_email");

        $error_messages = array(
            "required"      => "E-posta alanını girmelisiniz!!",
            "valid_email"   => "Lütfen geçerli bir e-posta adresi giriniz!!"
        );

        // set_message
        $this->form_validation->set_message($error_messages);

        if($this->form_validation->run() == FALSE){

            $viewData["error"] = validation_errors();

            $this->load->view("signin", $viewData);

        } else {

            // db email sorgulamasi...

            $where = array(
                "email"     => $this->input->post("email"),
                "isActive"  => 1
            );

            $member = $this->member_model->get($where);

            if( $member ){

                /***** Email gönderme işlemi ******/

                $change_request_code = md5(uniqid());

                $config = array(
                    "protocol"   => "smtp",
                    "smtp_host"  => "ssl://smtp.gmail.com",
                    "smtp_port"  => 465,
                    "smtp_pass"  => "********",
                    "smtp_user"  => "mailkedisi@gmail.com",
                    "starttls"   => true,
                    "charset"    => "utf-8",
                    "mailtype"   => "html",
                    "wordwrap"   => true,
                    "newline"    => "\r\n",
                );

                $link = base_url("member/forgot_pass_confirm/$change_request_code");

                $message = "Merhabalar, {$member->full_name}, <br> şifrenizi sıfırlama talebiniz alındı..
 Şifrenizi sıfırlamak için lütfen <a href='$link'>tıklayınız</a> ";

                $this->load->library("email", $config);

                $this->email->from("mailkedisi@gmail.com", "kablosuzkedi");
                $this->email->to($this->input->post("email"));
                $this->email->subject("Şifre Sıfırlama!!");
                $this->email->message($message);

                if($this->email->send()){


                    // Değişiklik kodunu DB ye yaz...

                    $where = array(
                        "id"    => $member->id
                    );

                    $data = array(
                        "activation_code"   => $change_request_code
                    );

                    $update = $this->member_model->update($where, $data);

                    if( $update ) {

                        // success page...

                        $viewData["message"] = "Şifre sıfırlama işlemi başarılıdır. Şifrenizi değiştirebilmeniz için size mail gönderdik. Lütfen posta kutunuza gidip. Şifrenizi sıfırlayınız..";

                        $this->load->view("thanks", $viewData);


                    } else {

                        $viewData["error"] = "Şifre sıfırlama işlemi sırasında bir problem oluştu lütfen tekrar deneyiniz!!";

                        $this->load->view("signin", $viewData);

                    }

                } else {

                    $viewData["error"] = "Şifre sıfırlama işlemi sırasında bir problem oluştu lütfen tekrar deneyiniz!!";

                    $this->load->view("signin", $viewData);

                }


            } else {

                $viewData["error"] = "Girmiş olduğunuz e-posta adresine ait bir kayıt bulunamadı!!!";

                $this->load->view("signin", $viewData);

            }

        }

    }

    public function forgot_pass_confirm(){

    }

}
